Subject: [bess] WG and IPR poll adoption poll for draft-krattiger-evpn-modes-interop

From: <[email-masked]>
Date: Mon, 19 Apr 2021 20:05:48 +0200

Hello,

This email begins a two-weeks WG adoption poll for
draft-krattiger-evpn-modes-interop-03 [1].

Please review the draft and post any comments to the BESS working group
list.

We are also polling for knowledge of any undisclosed IPR that applies to
this document, to ensure that IPR has been disclosed in compliance with IETF
IPR rules (see RFCs 3979, 4879, 3669 and 5378 for more details).

If you are listed as an author or a contributor of this document, please
respond to this email and indicate whether or not you are aware of any
relevant undisclosed IPR, copying the BESS mailing list. The document will
not  progress without answers from all of the authors and contributors.

Currently, there are no IPR disclosures against this document.

If you are not listed as an author or a contributor, then please explicitly
respond only if you are aware of any IPR that has not yet been disclosed in
conformance with IETF rules.

This poll for adoption closes on 4th May 2021.

Regards,

Matthew and Stephane

[1]  https://datatracker.ietf.org/doc/draft-krattiger-evpn-modes-interop/

---

From: "Mankamana Mishra (mankamis)" <[email-masked]>
Date: Mon, 19 Apr 2021 18:26:39 +0000

Support the adoption.

From: "[email-masked]" <[email-masked]>
Date: Monday, April 19, 2021 at 11:06 AM
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: WG and IPR poll adoption poll for draft-krattiger-evpn-modes-interop
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Monday, April 19, 2021 at 11:06 AM

Hello,

This email begins a two-weeks WG adoption poll for draft-krattiger-evpn-modes-interop-03 [1].

Please review the draft and post any comments to the BESS working group list.

We are also polling for knowledge of any undisclosed IPR that applies to this document, to ensure that IPR has been disclosed in compliance with IETF IPR rules (see RFCs 3979, 4879, 3669 and 5378 for more details).

If you are listed as an author or a contributor of this document, please respond to this email and indicate whether or not you are aware of any relevant undisclosed IPR, copying the BESS mailing list. The document will not  progress without answers from all of the authors and contributors.

If you are not listed as an author or a contributor, then please explicitly respond only if you are aware of any IPR that has not yet been disclosed in conformance with IETF rules.

Regards,
Matthew and Stephane

---

From: Jeff Tantsura <[email-masked]>
Date: Mon, 19 Apr 2021 12:39:31 -0700

Very useful document!
Support the adoption

Regards,
Jeff

> On Apr 19, 2021, at 11:06, [email-masked] wrote:
> 
> 
> Hello,
>  
> _______________________________________________
> BESS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bess

---

From: Ayan Banerjee <[email-masked]>
Date: Mon, 19 Apr 2021 14:09:12 -0700

Support.
Ayan

On Mon, Apr 19, 2021 at 11:06 AM <[email-masked]> wrote:

> this document, to ensure that IPR has been disclosed in compliance with
> IETF IPR rules (see RFCs 3979, 4879, 3669 and 5378 for more details).
>
>
>
> If you are not listed as an author or a contributor, then please
> explicitly respond only if you are aware of any IPR that has not yet been
> disclosed in conformance with IETF rules.
>
>
>

---

From: "Ali Sajassi (sajassi)" <[email-masked]>
Date: Mon, 19 Apr 2021 22:26:53 +0000

Support as a co-author. We requested our legal department in Nov/2020 to disclose an IPR related to this draft to IETF. We will follow it up to see why it hasn’t been disclosed yet.

Cheers,
Ali

From: BESS <[email-masked]> on behalf of "[email-masked]" <[email-masked]>
Date: Monday, April 19, 2021 at 11:07 AM
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Subject: [bess] WG and IPR poll adoption poll for draft-krattiger-evpn-modes-interop

Hello,

Regards,
Matthew and Stephane

---

From: "Samir Thoria (sthoria)" <[email-masked]>
Date: Mon, 19 Apr 2021 23:08:25 +0000

Thanks,
Samir.

Hello,

Regards,
Matthew and Stephane

---

From: "Lukas Krattiger (lkrattig)" <[email-masked]>
Date: Tue, 20 Apr 2021 02:07:14 +0000

Support as co-author.
We are awaiting an update on the IPR disclosure for this IETF draft. There is a pending request with the legal department (11/2020).
Thanks
-Lukas

On Apr 19, 2021, at 11:05 AM, [email-masked]<mailto:[email-masked]> wrote:

Hello,

Regards,
Matthew and Stephane

_______________________________________________
BESS mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/bess

---

From: "Krishnaswamy Ananthamurthy (kriswamy)" <[email-masked]>
Date: Tue, 20 Apr 2021 03:34:18 +0000

Support for WG adoption.

Thanks
Krishnaswamy

Hello,

Regards,
Matthew and Stephane

---

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Tue, 20 Apr 2021 06:23:20 +0000

As co-author, I support this document for WG adoption.
Not aware of any related IPR, except for the one already stated by other co-authors.

Thanks.
Jorge

From: BESS <[email-masked]> on behalf of [email-masked] <[email-masked]>
Date: Monday, April 19, 2021 at 8:06 PM
To: [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: [bess] WG and IPR poll adoption poll for draft-krattiger-evpn-modes-interop
Hello,

Regards,
Matthew and Stephane

---

From: Gyan Mishra <[email-masked]>
Date: Tue, 20 Apr 2021 05:41:21 -0400

I support WG Adoption.

Thanks

Gyan

On Tue, Apr 20, 2021 at 2:23 AM Rabadan, Jorge (Nokia - US/Mountain View) <
[email-masked]> wrote:

> *From: *BESS <[email-masked]> on behalf of [email-masked]
> <[email-masked]>
> *Date: *Monday, April 19, 2021 at 8:06 PM
> *To: [email-masked] <[email-masked]>
> *Cc: [email-masked] <[email-masked]>
> *Subject: *[bess] WG and IPR poll adoption poll for
> draft-krattiger-evpn-modes-interop
>
> Hello,
>
>
>
-- 

<http://www.verizon.com/>

*Gyan Mishra*

*Network Solutions A**rchitect *

*Email [email-masked] <[email-masked]>*

*M 301 502-1347*

---

From: Neeraj Malhotra <[email-masked]>
Date: Tue, 20 Apr 2021 18:36:14 -0700

Hi,

Support adoption. Indeed, much needed!!

Thanks,
Neeraj

---

From: "Kesavan Thiruvenkatasamy (kethiruv)" <[email-masked]>
Date: Fri, 23 Apr 2021 00:20:01 +0000

Support for adoption

Kesavan

Hello,

Regards,
Matthew and Stephane

---

From: "Patrice Brissette (pbrisset)" <[email-masked]>
Date: Fri, 23 Apr 2021 00:23:27 +0000

As others mentioned, very important document.
I support.

Regards,
Patrice Brissette, Principal Engineer
Cisco Systems

http://e-vpn.io
http://go2.cisco.com/evpn

Date: Monday, April 19, 2021 at 14:07

Hello,

Regards,
Matthew and Stephane

---

From: Keyur Patel <[email-masked]>
Date: Fri, 23 Apr 2021 01:06:11 +0000

Support the adoption.

Regards,
Keyur

On Apr 19, 2021, at 11:06 AM, [email-masked] wrote:

Hello,

Regards,
Matthew and Stephane

---

From: Muthu Arul Mozhi Perumal <[email-masked]>
Date: Fri, 23 Apr 2021 16:45:28 +0530

I support the adoption. However, have a few comments:

The intended status of the draft is Informational, but it doesn't look
right.

The abstract says:
  This document specifies how the different EVPN
   functional modes and types can interoperate with each other. This
   document doesn't aim to redefine the existing functional modes
*but   extend them for interoperability*.

In addition, the draft has multiple normative statements. Hence,
believe the intended status should be standards track instead..

Section 4.2 says:
   With PE2 operating in Symmetric IRB and with enabled interop mode,
   the MAC/IP route from PE1 (Asymmetric IRB) is processed in the
   respective bridging, routing and adjacency table. Based on the Route-
   Target for MAC-VRF1, the MAC address M1 will be imported into MAC-
   VRF1 respectively and placed within BD0.

* In addition, the host-   binding information M1/IP1 MUST be installed
within PE2s adjacency   table.*

For a PE operating in symmetric IRB mode, it is not required to install
M1/P1 in the ARP/ND/adjacency table as
per draft-ietf-bess-evpn-inter-subnet-forwarding. Hence, I think this draft
is updating/extending draft-ietf-bess-evpn-inter-subnet-forwarding.

The draft has the foll. description for Figure 2:
   The IRB interfaces for a common MAC-VRF/BD on
   PE1 and PE2 use the *same IP address*. With the difference of the IRB
   modes between PE1 (Asymmetric IRB) and PE2 (Symmetric IRB), there is
   a difference in the MPLS Label presence as part of the MAC/IP routes
   exchanged between the PEs.

I guess it should say "same IP address and MAC address". Otherwise, it is
not necessary to install M1/P1 in PE2's adj table. If PE2 receives a packet
destined to P1, PE2 will initiate a glean procedure causing the host having
(M1, P1) to respond. The response will reach PE2, so PE2 will install in
its adjacency. The problem occurs only when both PE1 and PE2 use the same
anycast default gateway IP and MAC addresses (which is also the recommended
option as per draft-ietf-bess-evpn-inter-subnet-forwarding), in which case
the response from the host will be locally consumed by PE1.

Regards,
Muthu

---

From: Gyan Mishra <[email-masked]>
Date: Fri, 23 Apr 2021 09:04:49 -0400

+1 on Standards Track for interoperability extension, however in IANA
section I don’t see any new codepoint requests as its  set to TBD.

Is the draft describing interoperability extensions that exist today and
caveats or is this new pertinent extensions changes to EVPN specification.

Does this draft update RFC 7432 or RFC 8365 in any way and if it does then
it should be Standards Track.

Kind Regards

Gyan

-- 

*Gyan Mishra*

*M 301 502-1347*

---

From: John E Drake <[email-masked]>
Date: Fri, 23 Apr 2021 15:48:14 +0000

Support, and I'm not aware of any IPR

Yours Irrespectively,

John

Juniper Business Use Only
From: BESS <[email-masked]> On Behalf Of [email-masked]
Sent: Monday, April 19, 2021 2:06 PM
To: [email-masked]
Cc: [email-masked]
Subject: [bess] WG and IPR poll adoption poll for draft-krattiger-evpn-modes-interop

[External Email. Be cautious of content]

Hello,

Regards,
Matthew and Stephane

[1]  https://datatracker.ietf.org/doc/draft-krattiger-evpn-modes-interop/<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/draft-krattiger-evpn-modes-interop/__;!!NEt6yMaO-gk!XMMXSt8wvRWsH9lEajjO5sfbkPjKCPNtpX6H4TZWUSRdoGcNqZN4MzmNiJqSbSw$>

---

From: "Satya Mohanty (satyamoh)" <[email-masked]>
Date: Fri, 23 Apr 2021 21:47:45 +0000

Support.

Thanks,
Satya

Hello,

Regards,
Matthew and Stephane